Loading...
Searching...
No Matches
QXmppHashUsed Class Reference

## Public Member Functions

| QXmppHashUsed (QXmpp::HashAlgorithm algorithm)
QXmpp::HashAlgorithm | algorithm () const
void | setAlgorithm (QXmpp::HashAlgorithm algorithm)

## Detailed Description

Annotates the used hashing algorithm.

Since
  QXmpp 1.5

## Constructor & Destructor Documentation

## QXmppHashUsed()

QXmppHashUsed::QXmppHashUsed | ( | QXmpp::HashAlgorithm | algorithm | ) |

Creates an object that tells other XMPP entities to use this hash algorithm.

## Member Function Documentation

## algorithm()

HashAlgorithm QXmppHashUsed::algorithm | ( |  | ) | const

Returns the algorithm that is supposed to be used for hashing.

## setAlgorithm()

void QXmppHashUsed::setAlgorithm | ( | QXmpp::HashAlgorithm | algorithm | ) |

Sets the algorithm that was used to create the hashed data

The documentation for this class was generated from the following files:

- QXmppHash.h
- QXmppHash.cpp